export class PathSelectedEvent extends CustomEvent<{ file_id: string, path: string[] }> {
    static readonly eventName = 'pathselected';

    constructor(file_id: string, path: string[]) {
        super(PathSelectedEvent.eventName, {
            detail: { file_id, path },
            bubbles: true
        });
    }
}
